SOURCES: avahi-dnsconfd (NEW) - init script

freetz freetz at pld-linux.org
Sat Jan 21 14:28:50 CET 2006


Author: freetz                       Date: Sat Jan 21 13:28:50 2006 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- init script

---- Files affected:
SOURCES:
   avahi-dnsconfd (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/avahi-dnsconfd
diff -u /dev/null SOURCES/avahi-dnsconfd:1.1
--- /dev/null	Sat Jan 21 14:28:50 2006
+++ SOURCES/avahi-dnsconfd	Sat Jan 21 14:28:45 2006
@@ -0,0 +1,90 @@
+#!/bin/sh
+#
+# avahi-dnsconfd:	Starts the Avahi dns configuration daemon
+#
+# chkconfig:		345 34 66
+#
+# description:	avahi-dnsconfd connects to a running avahi-daemon and runs the script \
+#		/etc/avahi/dnsconf.action for each unicast DNS server that is announced \
+#		on the local LAN. This is useful for configuring unicast DNS servers in \
+#		a DHCP-like fashion with mDNS.
+#
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+	if [ ! -f /var/lock/subsys/network ]; then
+		msg_network_down avahi-dnsconfd
+		exit 1
+	fi
+else
+	exit 0
+fi
+
+
+# See how we were called.
+case "$1" in
+  start)
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/avahi-dnsconfd ]; then
+		msg_starting avahi-dnsconfd
+		daemon --user avahi avahi-dnsconfd
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/avahi-dnsconfd
+	else
+		msg_already_running avahi-dnsconfd
+	fi
+	;;
+  stop)
+	if [ -f /var/lock/subsys/avahi-dnsconfd ]; then
+		# Stop daemons.
+		msg_stopping avahi-dnsconfd
+		killproc avahi-dnsconfd
+		rm -f /var/lock/subsys/avahi-dnsconfd
+	else
+		msg_not_running avahi-dnsconfd
+	fi
+	;;
+  restart)
+	$0 stop
+	$0 start
+	exit $?
+	;;
+  reload)
+	if [ -f /var/lock/subsys/avahi-dnsconfd ]; then
+		msg_reloading avahi-dnsconfd
+		killproc avahi-dnsconfd -HUP
+		RETVAL=$?
+	else
+		msg_not_running avahi-dnsconfd >&2
+		RETVAL=7
+	fi
+	;;
+  force-reload)
+	# if program allows reloading without stopping
+	$0 reload
+
+	# or if it doesn't
+	$0 restart
+
+	exit $?
+	;;
+  status)
+	status avahi-dnsconfd
+	RETVAL=$?
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
+	exit 3
+esac
+
+exit $RETVAL
+
+# This must be last line !
+# vi:syntax=sh:tw=78:ts=8:sw=4
================================================================


More information about the pld-cvs-commit mailing list